Subject: I/O errors do not currently have their own exception type

From: Andy Wingo <[email-masked]>
Date: Sat, 16 Nov 2019 22:09:52 +0100

For R7RS, this should be true:

  (file-error? (guard (exn (else exn)) (open-input-file " no such file ")))

However currently an error during Guile's open-input-file doesn't raise
a specific-enough exception for file-error? to be implementable.
Something to fix.